body:not(.et-fb){
    #menu-canva-container,
    #contact-canva-container{
        transform: translateY(-100%);
        z-index: 999;
    }

}


header {
    &.et-l.et-l--header {

        #navbar-container{
            @media screen and (max-width: 1024px){
                display: none;
            }
        }

        #mobile-navbar-container, #mobile-subnavbar-container{
            display: none;
            @media screen and (max-width: 1024px){
                display: flex;
            }
        }

        .navbar-row {
            opacity: 0;
            visibility: hidden;
            transition: 0.7s all;

            .navbar-logo {
                img {
                    transition: 0.7s all;
                    filter: invert(1);
                }
            }

            .et_pb_divider:before{
                transition: 0.7s all;
            }

            a, p {
                transition: 0.7s all;
                span{
                    transition: 0.7s all;
                }
                .et-pb-icon {
                    transition: 0.7s all;
                }
            }

            .nav_phone_link{
                .et_pb_link_inner{
                    @media screen and (max-width: 1024px){
                        font-size: 0;
                    }
                    .et-pb-icon{
                        @media screen and (max-width: 1024px){
                            margin-right: 0;
                        }
                    }
                }
            }

            .contact-button{
                cursor:pointer;
            }

            .menu-drop {
                display: flex;
                flex-direction: column;
                justify-content: space-evenly;
                max-height: 34px;
                height: 34px;
                width: 34px;
                cursor: pointer;
                @media screen and (max-width: 1024px) {
                    border-radius: 14px;
                    padding: 0;
                    max-height: 54px;
                    height: 44px;
                    width: 44px;
                    justify-content: center;
                    align-items: center;
                }

                span {
                    transition: 0.7s all;
                    width: 30.7px;
                    height: 3px;
                    background-color: #fff;
                    transition: 0.75s all;
                    @media screen and (max-width: 1024px) {
                        width: 22.7px;
                        margin-bottom: 5px;
                        &:last-child {
                            margin-bottom: 0;
                        }
                    }
                }

                &.active {
                    span {
                        &:nth-child(1) {
                            transform: translateY(6px) rotate(45deg);
                            @media screen and (max-width: 1024px){
                                transform: translateY(4px) rotate(45deg);
                            }
                        }

                        &:nth-child(2) {
                            transform: translateY(-6px) rotate(-45deg);
                            @media screen and (max-width: 1024px){
                                transform: translateY(-4px) rotate(-45deg);
                            }
                        }
                    }
                }
            }
        }

        &.opened{
            .navbar-row {
                opacity: 1;
                visibility: visible;
            }
        }

        &.scrolled:not(.opened) {

            .navbar-row {
                background: #FFFFFF5C;
                backdrop-filter: blur(25px);
                opacity: 1;
                visibility: visible;

                .navbar-logo {
                    img {
                        filter: invert(0);
                    }
                }

                .et_pb_divider:before{
                    border-top-color: #262626;
                }

                a, p  {
                    color: #262626;
                    span{
                        color: #262626;
                    }
                    .et-pb-icon {
                        color: #262626;
                        border-color: #262626;
                    }
                }

                .menu-drop {
                    span {
                        background: #262626;
                    }
                }
            }

        }
        
        #flags{
            display: none;
            @media screen and (max-width: 1024px){
                display: block;
            }
        }
        
        .google_language_translator{
            .skiptranslate.goog-te-gadget{
                display: flex !important;
                &:before{
                    content:"";
                    width: 13px;
                    height: 6.5px;
                    background: url(/wp-content/uploads/2026/05/fleche-selecteur-langue.svg);
                    position: absolute;
                    top: 50%;
                    right: 14px;
                    transform: translateY(-50%);
                    z-index: 1;
                }
                .goog-te-combo{
                    cursor: pointer;
                    text-align: right;
                    background: none;
                    border: none !important;
                    font-family: 'futura-pt';
                    font-size: 16px;
                    border-radius: 15.5px !important;
                    background-color: #fff;
                    width: auto;
                    letter-spacing: 0.8px !important;
                    text-transform: uppercase;
                    font-weight: 500;
                    padding-top: 5px !important;
                    padding-right: 34px !important;
                    padding-bottom: 5px !important;
                    padding-left: 12px !important;
                    -moz-appearance:none; /* Firefox */
                    -webkit-appearance:none; /* Safari and Chrome */
                    appearance:none;
                    position: relative;

                }
            }
        }
    }
}

#menu-canva-container{
    @media screen and (max-width:1700px){
        row-gap: 15px;
        justify-content: center;
    }
    .et_pb_row{
        &.menu-main-container{
            gap: 5px;
        }
        &.menu-bottom-container{
            @media screen and (max-width: 375px){
                gap:10px;
            }
        }
        .menu-link_container{
            overflow: hidden;
            height: 100%;

            &:before{
                content:"";
                position: absolute;
                top: 0;
                left: 0;
                width: 100%;
                height: 100%;
                background-image: linear-gradient(0deg, rgba(0,0,0,0.8) 0%, rgba(0,0,0,0) 70%);
                z-index: 1;
                @media screen and (max-width: 1024px){
                    display: none;
                }
            }
            &:after{
                content:"";
                position: absolute;
                bottom: 0;
                left: 0;
                width: 100%;
                height: 100%;
                transform: translateY(100%);
                z-index: 1;
                transition: 0.75s cubic-bezier(0.52, 0, 0.41, 1);
                @media screen and (max-width: 1024px){
                    display: none;
                }
            }
            .content_group{
                position: absolute !important;
                z-index: 2;
                transform: translateY(calc(50% + 50px));
                @media screen and (max-width: 1024px){
                    position: relative !important;
                    transform: none;
                    margin: 10px 0 10px;
                    border-bottom: 1px solid #474747;
                    padding-bottom: 19px;
                }
                @media screen and (max-width: 375px){
                    gap:5px;
                    padding-bottom: 13px;
                }
                .hidden-text{
                    opacity: 0;
                    visibility: hidden;
                    @media screen and (max-width: 1700px){
                        p{
                            font-size: 18px;
                        }
                    }
                    @media screen and (max-width: 1024px){
                        display: none;
                    }
                }


                h2{
                    @media screen and (max-width: 1700px){
                        font-size: 35px;
                    }
                    @media screen and (max-width: 375px){
                        font-size: 22px;
                        padding-bottom: 0;
                    }
                }


            }
            .et_pb_image{
                @media screen and (max-width: 1024px){
                    display: none;
                }
            }

            &.active{
                &:after{
                    transform: translateY(0);
                }
            }
            &.beige{
                &:after{
                    background: #a18c7a;
                }
            }
            &.noir{
                &:after{
                    background: #262626;
                }
            }
            &.violet{
                &:after{
                    background: #6a5d73;
                }
            }
            &.orange{
                &:after{
                    background: #d27340;
                }
            }
        }
        &.et_pb_row_6{
            @media screen and (max-width: 1700px){
                margin-top: 30px;
            }
        }
    }

}


footer{
    &.fixed{
        width: 100%;
        position: fixed;
        bottom: 0;
        left: 0;
    }

    &.et-l--footer{
        &.fixed{
            position: fixed;
            width: 100%;
            bottom: 0;
            left: 0;
        }
    }
}


#contact-canva-container{
    @media screen and (max-width: 1700px){
        row-gap: 50px;
    }
    .contact-form-container{
        width: 75% !important;
        .wpcf7{

            form{
                display: flex;
                flex-wrap: wrap;
                gap: 40px;
                @media screen and (max-width: 1700px){
                    row-gap: 10px;
                }
                @media screen and (max-width: 1024px){
                    flex-wrap: wrap;
                }
                .wpcf7-turnstile{
                    display: none;
                }
                .form-column{
                    width: calc(25% - 40px);
                    display: flex;
                    flex-direction: column;
                    gap: 20px;

                    .wpcf7-form-control-wrap{
                        display: flex;
                        flex-direction: column;
                        @media screen and (max-width: 1024px){
                            width: 100%;
                        }
                    }
                    p{
                        display: flex;
                        flex-direction: column;
                        gap: 20px;
                        @media screen and (max-width: 1024px){
                            flex-direction: row;
                            gap: 10px;
                        }
                    }
                    &:nth-child(4){
                        width: 50%;
                        @media screen and (max-width: 1700px){
                            width: calc(25% - 40px);
                        }
                        @media screen and (max-width: 1024px){
                            width: 100%;
                        }
                    }
                    @media screen and (max-width: 1024px){
                        width: 100%;
                    }
                    input[type="text"], input[type="email"],textarea,select{
                        font-family: "futura-pt", sans-serif;
                        font-size: 20px;
                        font-weight: 300;
                        font-stretch: normal;
                        font-style: normal;
                        line-height: 1;
                        letter-spacing: normal;
                        text-align: left;
                        background: #3c3c3c;
                        padding: 10px;
                        border:none;
                        border-bottom: 1px solid rgba(222, 222, 222, 0.5);
                        color: #fff;
                        width: 100%;
                        transition: 0.5s all;
                        &::placeholder{
                            color: #fff;
                        }
                        &:focus{
                            border-bottom: 1px solid rgba(255, 255, 255, 1);
                        }
                    }
                    textarea{
                        /* height: 40px;*/
                        max-height: 135px;
                        resize: none;
                        transition: 0.5s all;
                        /*&:focus{
                            height: 100%;
                        }*/
                        @media screen and (max-width: 1024px){
                            max-height: 75px;
                        }
                    }
                }
                .form-submit{
                    display: flex;
                    width: 100%;
                    justify-content: flex-end;
                    @media screen and (max-width: 1700px){
                        width: calc(25% - 40px);
                    }
                    @media screen and (max-width: 1024px){
                        width: calc(25% - 40px);
                    }
                    p{
                        display: flex;
                        align-items: center;
                        flex-direction: column;
                        justify-content: center;
                        input[type="submit"]{
                            font-family: "futura-pt", sans-serif;
                            border-radius: 35px;
                            border: solid 2px #fff;
                            font-size: 20px;
                            font-weight: 500;
                            font-stretch: normal;
                            font-style: normal;
                            line-height: 1;
                            letter-spacing: 0.5px;
                            text-align: center;
                            color: #fff;
                            padding: 22px 65px;
                            background: transparent;
                            text-transform: uppercase;
                            cursor: pointer;
                            transition: 0.5s all;
                            &:hover{
                                background: #fff;
                                color: var(--gcid-heading-color); /* Preset DIVI */
                            }
                            @media screen and (max-width: 1700px){
                                padding: 12px 33px;
                            }
                            @media screen and (max-width: 1024px){
                                font-size: 18px;
                                padding: 16px 45px;
                            }
                        }
                    }

                }
                .wpcf7-response-output{
                    margin: 0 auto;
                }

            }
        }
    }
    .contact-form-footer{
        @media screen and ( max-width: 1700px ){
            padding: 25px 50px !important;
        }
        .et_pb_column{
            @media screen and (max-width: 1700px){
                width: 25%;
                &:nth-child(3){
                    display: none;
                }
            }
            .et_pb_group{
                @media screen and (max-width: 1700px) {
                    row-gap: 10px;
                }
            }
            p, a span{
                @media screen and (max-width: 1700px){
                    font-size: 16px;
                }
            }
            .sib_signup_form {
                p {
                    label {
                        input[type="email"] {
                            color: #FFF;
                        }
                    }
                }
            }
        }

    }
}